/*****************************************************************************
 The Klipper Library, By Kirby L. Wallace.  Copyright (c), 1986-1994
             Wallace Information Systems Engineering

   FUNCTION: main.prg

DESCRIPTION: Demo code for _CheckSum().

To test the function, use CLD (Clipper debugger) and step through the program
a line at a time.  Better yet, put a break point where indicated in the source
code.


******************************************************************************/

#include "klipper.ch"

FUNCTION main()

LOCAL cString := "Mary had a little jam, it's beat was white and slow..."
LOCAL nCRCResult := 0
LOCAL cCRCDigits := ""

LOCAL c1, c2, c3, c4, c5

CLEAR SCREEN

// create the string with checksum digits
cString = k_Checksum(cString,KCRC_GENERATE) // cString has checksum
                                           // embedded now.

? 'CRC String with embedded CHECKSUM digits (CRC chars last two bytes):'
? cString
?

///////////////////////////////////////////////////////////////////////////
// CLD.EXE: CHANGE THE STRING HERE - ADD A BYTE OR TAKE OUT A FEW BYTES.
///////////////////////////////////////////////////////////////////////////

// later, check to see if it is intact (ie, the same)
nCRCResult = k_CheckSum(cString,KCRC_TEST)  // nCRCResult has 0
                                            // if the string is
                                            // unchanged.

? 'CRC String TEST:', nCRCResult
?

// To see what the checksum value actually is:
cCRCDigits = k_CheckSum(cString,KCRC_EXTRACT)

? 'CheckSum (hex): ',cCRCDigits
?

WAIT

CLEAR SCREEN

? 'HERE ARE SOME OTHER TESTS:'

c1 = "Mary had a little jam, it's beat was white and slow..."
c2 = "Mary had a little jam, it's beat was white and snow..."
c3 = "Mary had a little jam; it's beat was white and slow..."
c4 = "Suzy had a little jam, it's beat was white and slow..."
c5 = "Mary had a wart the size of Chicago."

? 'Strings:'
?

? [c1 = "Mary had a little jam, it's beat was white and slow..."]
? [c2 = "Mary had a little lamb, it's fleece was white as snow..."]
? [c3 = "Mary had a little jam; it's beat was white and slow..."]
? [c4 = "Suzy had a little jam, it's beat was white and slow..."]
? [c5 = "Mary had a wart the size of Chicago."]
?


c1 = k_CheckSum(c1,KCRC_GENERATE)
c2 = k_CheckSum(c2,KCRC_GENERATE)
c3 = k_CheckSum(c3,KCRC_GENERATE)
c4 = k_CheckSum(c4,KCRC_GENERATE)
c5 = k_CheckSum(c5,KCRC_GENERATE)

? 'Checksums of each (Notice that slight differences produce completely '
? 'different CRCs):'
?

? 'c1 CRC: ',k_CheckSum(c1,KCRC_EXTRACT)
? 'c2 CRC: ',k_CheckSum(c2,KCRC_EXTRACT)
? 'c3 CRC: ',k_CheckSum(c3,KCRC_EXTRACT)
? 'c4 CRC: ',k_CheckSum(c4,KCRC_EXTRACT)
? 'c5 CRC: ',k_CheckSum(c5,KCRC_EXTRACT)
?

RETURN(NIL)

