/*****************************************************************************
 The Klipper Library, By Kirby L. Wallace.  Copyright (c), 1986-1994
             Wallace Information Systems Engineering


   FUNCTION: main.prg

 PARAMETERS:

DESCRIPTION: Demo program for TIMER()

******************************************************************************/

#include "klipper.ch"

#define  MAINMENU 1
#define  OPTION1  2
#define  OPTION2  3
#define  OPTION3  4


FUNCTION main()

LOCAL    nOpt := 0
LOCAL    TimerScr
LOCAL    nHandle

MEMVAR   acMenu
PRIVATE  acMenu := {' 1 - Read about Timer()     ', ;
                    ' 2 - Experiment with Timers ', ;
                    ' 3 - Try out the Timer Demo '  }

k_Prepare()

k_FScreen('Timer() Demo')


k_Timer(MAINMENU,KT_RESET)
k_Timer(OPTION1,KT_RESET)
k_Timer(OPTION2,KT_RESET)
k_Timer(OPTION3,KT_RESET)

while TRUE

    k_Timer(MAINMENU,KT_SWITCH)

    nOpt = k_MenuA(5,5,,'k_Timer() Demo', acMenu )

    if nOpt = 0

        EXIT

    endif

    do case

        case nOpt = 1

            k_Timer(OPTION1,KT_SWITCH)

            SAVE SCREEN TO TimerScr

            nHandle = fopen('TIMER.TXT')

            k_KeyList('File: TIMER.TXT,  PgUp/PgDn Previous/Next Page,  ESC - Quit')

            k_FileBrowse(3,0,maxrow()-1,maxcol(),nHandle)

            fclose(nHandle)

            RESTORE SCREEN FROM TimerScr

        case nOpt = 2

            k_Timer(OPTION2,KT_SWITCH)

            k_ack('Now in Option 2 - Pretty impressive, huh?')

        case nOpt = 3

            k_Timer(OPTION3,KT_SWITCH)

            k_ack('Now in Option 3 - And you thought #2 was neat...')

    endcase


end

k_Timer(MAINMENU,KT_STOP)
k_Timer(OPTION1,KT_STOP)
k_Timer(OPTION2,KT_STOP)
k_Timer(OPTION3,KT_STOP)

k_FScreen('Timer() Demo')

k_Box(5,5,14,maxcol()-5)

@ 07,07 say 'Timer Results: '

@ 09,10 say 'Time spent gawking at the MAIN MENU : '+ltrim(str(k_TIMER(MAINMENU,KT_READ)))+' seconds.'
@ 10,10 say 'Time spent eyeballing Menu Option 1 : '+ltrim(str(k_TIMER(OPTION1,KT_READ)))+' seconds.'
@ 11,10 say 'Time spent looking at Menu Option 2 : '+ltrim(str(k_TIMER(OPTION2,KT_READ)))+' seconds.'
@ 12,10 say 'Time spent yawning at Menu Option 3 : '+ltrim(str(k_TIMER(OPTION3,KT_READ)))+' seconds.'

k_KeyList('Press any key to exit...')

inkey(0)

RETURN(NIL)


